/*
 * Copyright (c) 2013-2018 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Login errors.
 */
Ext.define( 'QDesk.model.security.LoginError', {
  singleton : true,

  INVALID_USERNAME_OR_PASSWORD : 'INVALID_USERNAME_OR_PASSWORD',
  ALREADY_AUTHENTICATED_IN_THIS_SESSION : 'ALREADY_AUTHENTICATED_IN_THIS_SESSION',
  ALREADY_AUTHENTICATED_IN_ANOTHER_SESSION : 'ALREADY_AUTHENTICATED_IN_ANOTHER_SESSION',
  ACCOUNT_LOCKED_MANUALLY : 'ACCOUNT_LOCKED_MANUALLY',
  ACCOUNT_LOCKED_AUTO_TOO_MANY_LOGIN_ATTEMPTS : 'ACCOUNT_LOCKED_AUTO_TOO_MANY_LOGIN_ATTEMPTS',
  ACCOUNT_DELETED : 'ACCOUNT_DELETED'
} );
