/*
 * Copyright (c) 2013-2018 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Permissions.
 */
Ext.define( 'QDesk.model.security.Permission', {
  singleton : true,

  ADMINISTRATOR : 'ADMINISTRATOR',

  // APP_SETTINGS_VIEW : 'APP_SETTINGS_VIEW',
  APP_SETTINGS_UPDATE : 'APP_SETTINGS_UPDATE',

  // USER_VIEW : 'USER_VIEW',
  USER_ADD : 'USER_ADD',
  USER_UPDATE : 'USER_UPDATE',
  USER_DELETE : 'USER_DELETE',
  USER_LOCK_UPDATE : 'USER_LOCK_UPDATE',
  USER_PERMISSIONS_UPDATE : 'USER_PERMISSIONS_UPDATE',

  // GROUP_VIEW : 'GROUP_VIEW',
  GROUP_ADD : 'GROUP_ADD',
  GROUP_UPDATE : 'GROUP_UPDATE',
  GROUP_DELETE : 'GROUP_DELETE',
  GROUP_MEMBERS_UPDATE : 'GROUP_MEMBERS_UPDATE',
  GROUP_PERMISSIONS_UPDATE : 'GROUP_PERMISSIONS_UPDATE',

  SCHEDULER_START : 'SCHEDULER_START',
  SCHEDULER_PAUSE : 'SCHEDULER_PAUSE',
  SCHEDULER_STOP : 'SCHEDULER_STOP',

  // CONNECTION_VIEW : 'CONNECTION_VIEW',
  CONNECTION_ADD : 'CONNECTION_ADD',
  CONNECTION_UPDATE : 'CONNECTION_UPDATE',
  CONNECTION_DELETE : 'CONNECTION_DELETE',
  CONNECTION_MOVE : 'CONNECTION_MOVE',
  // CONNECTION_OPEN : 'CONNECTION_OPEN',

  CONNECTION_FLD_ADD : 'CONNECTION_FLD_ADD',
  CONNECTION_FLD_UPDATE : 'CONNECTION_FLD_UPDATE',
  CONNECTION_FLD_DELETE : 'CONNECTION_FLD_DELETE',
  CONNECTION_FLD_MOVE : 'CONNECTION_FLD_MOVE',

  // MSG_CHANNEL_PROFILE_VIEW : 'MSG_CHANNEL_PROFILE_VIEW',
  MSG_CHANNEL_PROFILE_ADD : 'MSG_CHANNEL_PROFILE_ADD',
  MSG_CHANNEL_PROFILE_UPDATE : 'MSG_CHANNEL_PROFILE_UPDATE',
  MSG_CHANNEL_PROFILE_DELETE : 'MSG_CHANNEL_PROFILE_DELETE',
  MSG_CHANNEL_PROFILE_MOVE : 'MSG_CHANNEL_PROFILE_MOVE',

  MSG_CHANNEL_PROFILE_FLD_ADD : 'MSG_CHANNEL_PROFILE_FLD_ADD',
  MSG_CHANNEL_PROFILE_FLD_UPDATE : 'MSG_CHANNEL_PROFILE_FLD_UPDATE',
  MSG_CHANNEL_PROFILE_FLD_DELETE : 'MSG_CHANNEL_PROFILE_FLD_DELETE',
  MSG_CHANNEL_PROFILE_FLD_MOVE : 'MSG_CHANNEL_PROFILE_FLD_MOVE',

  AUDIT_TRAIL_VIEW : 'AUDIT_TRAIL_VIEW',

  // QUARTZ_JOB_VIEW : 'QUARTZ_JOB_VIEW',
  QUARTZ_JOB_ADD : 'QUARTZ_JOB_ADD',
  QUARTZ_JOB_UPDATE : 'QUARTZ_JOB_UPDATE',
  QUARTZ_JOB_DELETE : 'QUARTZ_JOB_DELETE',
  QUARTZ_JOB_TRIGGER_MANUALLY : 'QUARTZ_JOB_TRIGGER_MANUALLY',
  QUARTZ_JOB_INTERRUPT : 'QUARTZ_JOB_INTERRUPT',
  QUARTZ_JOB_THREAD_INFO_VIEW : 'QUARTZ_JOB_THREAD_INFO_VIEW',

  QUARTZ_JOB_GROUP_PAUSE : 'QUARTZ_JOB_GROUP_PAUSE',
  QUARTZ_JOB_GROUP_RESUME : 'QUARTZ_JOB_GROUP_RESUME',

  // QUARTZ_TRIGGER_VIEW : 'QUARTZ_TRIGGER_VIEW',
  QUARTZ_TRIGGER_ADD : 'QUARTZ_TRIGGER_ADD',
  QUARTZ_TRIGGER_UPDATE : 'QUARTZ_TRIGGER_UPDATE',
  QUARTZ_TRIGGER_DELETE : 'QUARTZ_TRIGGER_DELETE',
  QUARTZ_TRIGGER_PAUSE : 'QUARTZ_TRIGGER_PAUSE',
  QUARTZ_TRIGGER_RESUME : 'QUARTZ_TRIGGER_RESUME',

  QUARTZ_TRIGGER_GROUP_PAUSE : 'QUARTZ_TRIGGER_GROUP_PAUSE',
  QUARTZ_TRIGGER_GROUP_RESUME : 'QUARTZ_TRIGGER_GROUP_RESUME',

  // QUARTZ_EXEC_HISTORY_VIEW : 'QUARTZ_EXEC_HISTORY_VIEW',
  QUARTZ_EXEC_HISTORY_EXPORT : 'QUARTZ_EXEC_HISTORY_EXPORT',

  // QUARTZ_EXEC_NOTIF_RULE_VIEW : 'QUARTZ_EXEC_NOTIF_RULE_VIEW',
  QUARTZ_EXEC_NOTIF_RULE_ADD : 'QUARTZ_EXEC_NOTIF_RULE_ADD',
  QUARTZ_EXEC_NOTIF_RULE_UPDATE : 'QUARTZ_EXEC_NOTIF_RULE_UPDATE',
  QUARTZ_EXEC_NOTIF_RULE_DELETE : 'QUARTZ_EXEC_NOTIF_RULE_DELETE',

  // QUARTZ_JOB_CHAIN_VIEW : 'QUARTZ_JOB_CHAIN_VIEW',
  QUARTZ_JOB_CHAIN_ADD : 'QUARTZ_JOB_CHAIN_ADD',
  QUARTZ_JOB_CHAIN_UPDATE : 'QUARTZ_JOB_CHAIN_UPDATE',
  QUARTZ_JOB_CHAIN_DELETE : 'QUARTZ_JOB_CHAIN_DELETE',

  WS_CONNECTION : 'WS_CONNECTION',
  WS_SECURITY : 'WS_SECURITY',
  WS_MESSAGE_CHANNEL_PROFILE : 'WS_MESSAGE_CHANNEL_PROFILE',
  WS_QUARTZ : 'WS_QUARTZ',
  WS_QUARTZ_EXEC_HISTORY : 'WS_QUARTZ_EXEC_HISTORY',
  WS_QUARTZ_EXEC_NOTIF_RULE : 'WS_QUARTZ_EXEC_NOTIF_RULE',
  WS_QUARTZ_JOB_CHAIN : 'WS_QUARTZ_JOB_CHAIN'
} );
