/*
 * Copyright (c) 2013-2018 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.top.TopButtonsContainer', {
  extend : 'Ext.container.Container',

  requires : [
    'QDesk.Msg',
    'QDesk.view.widget.WMainButton'
  ],

  alias : 'widget.TopButtonsContainer',

  cls : 'topButtonsContainer',

  layout : {
    type : 'table',
    columns : 2,
    tdAttrs : { style : 'padding: 0px 5px;' }
  },

  height : 40,

  items : [
    {
      xtype : 'button',
      itemId : 'notificationsButton',
      scale : 'medium',
      cls : 'notificationsButton',
      iconCls : 'notificationsButtonIcon',
      disabled : true
    },
    {
      xtype : 'WMainButton',
      itemId : 'mainButton'
    }
  ]
} );
