/*
 * Copyright (c) 2013-2018 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Refreshes the Audit Trail tab.
 */
Ext.define( 'QDesk.controller.command.audit.RefreshAuditTrailTab', {
  extend : 'QDesk.controller.command.BaseCommand',

  requires : [
    'QDesk.Msg',
    'QDesk.util.UxUtils',
    'QDesk.util.constant.ActionUrl',

    'QDesk.controller.command.audit.RefreshAuditTrailGrid'
  ],


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    me.callParent( [ config ] );
  },


  execute : function ()
  {
    var me = this;

    // refreshes the audit trail grid
    Ext.create( 'QDesk.controller.command.audit.RefreshAuditTrailGrid', {
      success : function ()
      {
      },
      failure : function ()
      {
      }
    } ).execute();
  }
} );
