/*
 * Copyright (c) 2013-2018 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz exec history export column enum.
 * Based on com.quartzdesk.domain.model.scheduler.quartz.QuartzExecHistoryExportColumn.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzExecHistoryExportColumn', {
  singleton : true,

  ID : 'ID',
  STARTED_AT : 'STARTED_AT',
  FINISHED_AT : 'FINISHED_AT',
  DURATION : 'DURATION',
  EXEC_STATUS : 'EXEC_STATUS',

  SCHEDULER_NAME : 'SCHEDULER_NAME',
  SCHEDULER_INSTANCE_ID : 'SCHEDULER_INSTANCE_ID',
  SCHEDULER_OBJECT_NAME : 'SCHEDULER_OBJECT_NAME',
  SCHEDULER_VERSION : 'SCHEDULER_VERSION',

  JOB_GROUP_NAME : 'JOB_GROUP_NAME',
  JOB_NAME : 'JOB_NAME',
  JOB_CLASS_NAME : 'JOB_CLASS_NAME',
  JOB_CLASS_LOCATION : 'JOB_CLASS_LOCATION',
  JOB_DATA_MAP : 'JOB_DATA_MAP',

  TRIGGER_GROUP_NAME : 'TRIGGER_GROUP_NAME',
  TRIGGER_NAME : 'TRIGGER_NAME',

  CALENDAR_NAME : 'CALENDAR_NAME',
  RESULT_URL : 'RESULT_URL',
  ERROR : 'ERROR',
  USER_DATA_URL : 'USER_DATA_URL',
  LOG_URL : 'LOG_URL',

  THREAD_GROUP_NAME : 'THREAD_GROUP_NAME',
  THREAD_NAME : 'THREAD_NAME',
  THREAD_PRIORITY : 'THREAD_PRIORITY',

  HOST_NAME : 'HOST_NAME',

  JVM_PID : 'JVM_PID',
  JVM_NAME : 'JVM_NAME',
  JVM_VENDOR : 'JVM_VENDOR',
  JVM_VERSION : 'JVM_VERSION',
  JVM_RUNTIME_VERSION : 'JVM_RUNTIME_VERSION',

  OS_NAME : 'OS_NAME',
  OS_VERSION : 'OS_VERSION',
  OS_ARCH : 'OS_ARCH'
} );
