/*
 * Copyright (c) 2013-2018 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The timestamp data model.
 */
Ext.define( 'QDesk.model.type.Timestamp', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'value', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 }
  ]
} );