/*
 * Copyright (c) 2013-2018 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Base class for all work tabs. This class provides access to the tab initialization flag.
 */
Ext.define( 'QDesk.view.work.BaseWorkTab', {
  extend : 'QDesk.view.widget.panel.XPanel',

  //bodyCls : 'baseWorkTabBody',

  border : false,
  closable : true,
  scrollable : true,

  constructor : function ( config )
  {
    var me = this;
    config = config || {};

    me.callParent( [ config ] );
  }
} );
