/*
 * Copyright (c) 2013-2018 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedSynchronizersPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.util.FormatUtils',
    'QDesk.view.base.BaseFormPanel',
    'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedSynchronizersGrid'
  ],

  alias : 'widget.ThreadInfoLockedSynchronizersPanel',

  border : false,

  // cls : 'threadInfoLockedSynchronizersPanel',
  // bodyCls : 'threadInfoLockedSynchronizersPanelBody',

  layout : 'fit',

  scrollable : true,


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var items = [];

    items.push(
        {
          xtype : 'ThreadInfoLockedSynchronizersGrid',
          itemId : 'grid',
          border : 0
        }
    );

    Ext.apply( config, {
      items : items
    } );

    me.callParent( [ config ] );
  }
} );
